[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#585524: marked as done (cups stops printing. too restricted permissions /usr/lib/cups/backend - permission denied)

Your message dated Tue, 29 Jun 2010 17:32:53 +0000
with message-id <E1OTeg1-00035v-2Z@ries.debian.org>
and subject line Bug#582942: fixed in cups 1.4.4-1
has caused the Debian Bug report #582942,
regarding cups stops printing. too restricted permissions /usr/lib/cups/backend - permission denied
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

582942: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=582942
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: hplip
Version: 3.10.5-1
Severity: normal

--- Please enter the report below this line. ---

HP LaserJet 1515 don't print anymore after upgrade.


lpstat -p
impressora arq_pdf_papai está ociosa.  ativada desde Qui 10 Jun 2010 18:19:14 BRT
impressora HP_Color_LaserJet_CP1515n está ociosa.  ativada desde Sex 11 Jun 2010 08:25:29 BRT
	/usr/lib/cups/backend/hp failed
impressora PDF está ociosa.  ativada desde Sex 04 Set 2009 07:18:21 BRT

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-5-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        http.us.debian.org 

--- Package information. ---
Depends                (Version) | Installed
libc6                   (>= 2.7) | 2.11.1-3
libcups2              (>= 1.4.0) | 1.4.3-1
libdbus-1-3           (>= 1.0.2) | 1.2.24-1
libhpmud0           (= 3.10.5-1) | 3.10.5-1
libsane            (>= 1.0.11-3) | 1.0.21-2
libssl0.9.8        (>= 0.9.8m-1) | 0.9.8o-1
python-dbus            (>= 0.80) | 0.83.1-1
python-imaging                   | 1.1.7-1+b1
python-pexpect                   | 2.3-1
coreutils             (>= 5.1.0) | 8.5-1
lsb-base                  (>= 3) | 3.2-23.1
adduser                (>= 3.34) | 3.112
cups                 (>= 1.1.20) | 1.4.3-1
cups-client          (>= 1.1.20) | 1.4.3-1
hplip-data          (= 3.10.5-1) | 3.10.5-1
policykit-1                      | 0.96-2

Recommends        (Version) | Installed
hpijs                       | 3.10.5-1
sane-utils                  | 1.0.21-2
avahi-daemon                | 0.6.25-3

Suggests       (Version) | Installed
kdeprint                 | 
 OR gtklp                | 
 OR xpp                  | 
hplip-gui                | 3.10.5-1
hplip-doc                | 

--- Output from package bug script ---

HP Linux Imaging and Printing System (ver. 3.10.5)
Dependency/Version Check Utility ver. 14.3

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before
compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if
the proper dependencies are installed to successfully compile
HPLIP. 2. Run-time check mode (-r or --run): Use this mode to determine
if a distro supplied package (.deb, .rpm, etc) or an already built
HPLIP supplied tarball has the proper dependencies installed to
successfully run. 3. Both compile- and run-time check mode (-b or
--both) (Default): This mode will check both of the above cases (both
compile- and run-time dependencies).   

Saving output in log file: hp-check.log

Initializing. Please wait...


Basic system information:
Linux papai 2.6.32-5-amd64 #1 SMP Tue Jun 1 04:34:03 UTC 2010 x86_64

debian unstable

Checking Python version...
OK, version 2.5.5 installed

Checking PyQt 4.x version...
OK, version 4.7.3 installed.

Checking for CUPS...
Status: o programador est?? executando
Version: 1.4.3
error_log is set to level: debug

Checking for dbus/python-dbus...
dbus daemon is running.
python-dbus version: 0.83.1


Checking for dependency: CUPS - Common Unix Printing System...
OK, found.

Checking for dependency: GhostScript - PostScript and PDF language
interpreter and previewer... OK, found.

Checking for dependency: PIL - Python Imaging Library (required for
commandline scanning with hp-scan)... OK, found.

Checking for dependency: PolicyKit - Administrative policy framework...
OK, found.

Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
OK, found.

Checking for dependency: Python DBus - Python bindings for DBus...
OK, found.

Checking for dependency: Python libnotify - Python bindings for the
libnotify Desktop notifications... OK, found.

Checking for dependency: Python XML libraries...
OK, found.

Checking for dependency: Python 2.3 or greater - Required for fax
functionality... OK, found.

Checking for dependency: Reportlab - PDF library for Python...
OK, found.

Checking for dependency: SANE - Scanning library...
OK, found.

Checking for dependency: scanimage - Shell scanning program...
OK, found.

Checking for dependency: xsane - Graphical scanner frontend for SANE...
OK, found.


Currently installed HPLIP version...
HPLIP 3.10.5 currently installed in '/usr/share/hplip'.

Current conte

ASD Consultoria, Rio, RJ
Arq. Sávio M Ramos
Só usamos Linux desde 2000

--- End Message ---
--- Begin Message ---
Source: cups
Source-Version: 1.4.4-1

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

  to main/c/cups/cups-bsd_1.4.4-1_amd64.deb
  to main/c/cups/cups-client_1.4.4-1_amd64.deb
  to main/c/cups/cups-common_1.4.4-1_all.deb
  to main/c/cups/cups-dbg_1.4.4-1_amd64.deb
  to main/c/cups/cups-ppdc_1.4.4-1_amd64.deb
  to main/c/cups/cups_1.4.4-1.diff.gz
  to main/c/cups/cups_1.4.4-1.dsc
  to main/c/cups/cups_1.4.4-1_amd64.deb
  to main/c/cups/cups_1.4.4.orig.tar.gz
  to main/c/cups/cupsddk_1.4.4-1_all.deb
  to main/c/cups/libcups2-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcups2_1.4.4-1_amd64.deb
  to main/c/cups/libcupscgi1-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcupscgi1_1.4.4-1_amd64.deb
  to main/c/cups/libcupsdriver1-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcupsdriver1_1.4.4-1_amd64.deb
  to main/c/cups/libcupsimage2-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcupsimage2_1.4.4-1_amd64.deb
  to main/c/cups/libcupsmime1-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcupsmime1_1.4.4-1_amd64.deb
  to main/c/cups/libcupsppdc1-dev_1.4.4-1_amd64.deb
  to main/c/cups/libcupsppdc1_1.4.4-1_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Tue, 29 Jun 2010 19:03:39 +0200
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsddk
Architecture: source all amd64
Version: 1.4.4-1
Distribution: unstable
Urgency: medium
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Closes: 582942
 cups (1.4.4-1) unstable; urgency=medium
   [ Till Kamppeter ]
   * debian/cups.init.d: When loading kernel modules for the parallel port
     load also the "parport_pc" module (LP: #369850).
   * debian/filters/pstopdf: Fixed the problem of the UseCIEColor warning of
     Ghostscript correctly. The file format converter should not do any kind
     of color correction but simply pass the colors through (LP: #578181).
   * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Some
     printers have broken device IDs with newline characters inside. These
     break the cups-deviced printer discovery mechanism and so the printers
     get ignored. This patch allows newline characters in device IDs
     (LP: #468701).
   [ Martin Pitt ]
   * New upstream bug fix/security release. Therefore "medium" urgency.
     - CUPS could overwrite files as root in directories owned or writable by
       non-root users. [STR #3510, CVE-2010-2431]
     - The web interface now includes additional CSRF protection.
       [STR #3498, CVE-2010-0540]
     - The texttops filter did not check the results of allocations.
       [STR #3516, CVE-2010-0542]
     - The web admin interface could disclose the contents of memory.
       [STR #3577, CVE-2010-1748]
   * Drop select_use_after_free.dpatch: Applied upstream.
   * do-not-broadcast-with-hostnames.dpatch: Update to apply to new version.
   * debian/libcups2.symbols, debian/libcupscgi1.symbols: Update for new
   * Add support-gzipped-charmaps.dpatch: Support gzipped charset → UTF8 maps;
     they compress very well and take a lot of space.
   * debian/rules: Compress /usr/share/cups/charmaps/*.txt in cups-common.
   * debian/local/filters/pdf-filters/*: Reenable call of setErrorFunction() on
     armel, now that poppler on arm has been fixed (see #575262)
   * debian/cups.postinst: Drop some obsolete transition code.
   * debian/cups.postinst: Some versions of cups-pdf (and perhaps other
     packages) changed the permissions of /usr/lib/cups/backend. Fix that
     during upgrade. (Closes: #582942)
   * debian/control: Drop all the transitional cupsys* packages and the
     remaining provides/conflicts/replaces on them. All packages in sid are now
     transitioned to the new package names, and Lenny already had them.
 49a24cc732468e67b423e0dfd8f416ee56800649 2091 cups_1.4.4-1.dsc
 066ce6170e77a88da45a111a0249185bf40686b7 5384595 cups_1.4.4.orig.tar.gz
 eaf02e68d5f996d09197ae8e8504f130a1355c50 477704 cups_1.4.4-1.diff.gz
 b82afae943f8e503c29388e08130bab7b1c97a3d 1341338 cups-common_1.4.4-1_all.deb
 b450759817a2a30ac21e00e14cf11beb29d38832 74110 cupsddk_1.4.4-1_all.deb
 effb842156ea70d66e463ffbd77e2be445e8274d 230442 libcups2_1.4.4-1_amd64.deb
 59ab0efc04ac047cf3fdbf373da6a664df6a117b 122576 libcupsimage2_1.4.4-1_amd64.deb
 58569221529babb074862d0e19d90186f02d9eeb 102494 libcupscgi1_1.4.4-1_amd64.deb
 82e0ee6c384a639be84beecc9a1f2f592734c4f0 91436 libcupsdriver1_1.4.4-1_amd64.deb
 5fb789a4a1f7f33fdd83c4dc1b01eccf262f67fd 84902 libcupsmime1_1.4.4-1_amd64.deb
 51a862a42b72d43c25209b49a6fa33bcd4d317a8 129406 libcupsppdc1_1.4.4-1_amd64.deb
 2d45286ea25077a8797d2fe9220d07b3e4470d5b 2059966 cups_1.4.4-1_amd64.deb
 2ffcaabb0e62bed78744e862bf83950e00e7ee49 137728 cups-client_1.4.4-1_amd64.deb
 0809c81ef657d142d88900a7c56a8b24c93c45c6 291802 libcups2-dev_1.4.4-1_amd64.deb
 2180e035f03c49cd50d5f213ff7da4b51e12f0f3 61326 libcupsimage2-dev_1.4.4-1_amd64.deb
 cade3ede637f4047218ab6e483bf039bd0ce2a3c 108122 libcupscgi1-dev_1.4.4-1_amd64.deb
 fab1edc5ef86bce1842ad7f263c4f4c7a3df2893 94632 libcupsdriver1-dev_1.4.4-1_amd64.deb
 0331c96db4b2687866a7246cf93dbc4a53622970 85422 libcupsmime1-dev_1.4.4-1_amd64.deb
 872f830ead3188df3a79413a7f35e3a4a120be94 147586 libcupsppdc1-dev_1.4.4-1_amd64.deb
 bd7eaffbab2dde6be6f5f9d176be2ab58bf23215 44646 cups-bsd_1.4.4-1_amd64.deb
 8c9bc3d337fd845346c92569c8f8eb29da39354e 103828 cups-ppdc_1.4.4-1_amd64.deb
 dea648205ba040a611a18ecfdf8fcf5810934165 94576 cups-dbg_1.4.4-1_amd64.deb
 17bb5f6a6b1dacca3e4fc768c64b7f449c44ce646b27cd71b21a7ddc02e21787 2091 cups_1.4.4-1.dsc
 66f80002ac8fa59da0a547716a368f6ceccec371968ed9527f8e8e6426999db5 5384595 cups_1.4.4.orig.tar.gz
 bbfa20a61c6183d21f70e5b3f0254ce902b9d0be54ffe021203f309f9ea11e9f 477704 cups_1.4.4-1.diff.gz
 6fbbd00203e3286b43bb83cdf5b19614568e66f88ba7b44f06af520c6eb0749b 1341338 cups-common_1.4.4-1_all.deb
 332d399b16bddc520c061cf9538c23f71a39150f8a8766de52a54de50fdc192f 74110 cupsddk_1.4.4-1_all.deb
 f6aec1f7cf395293b3dffc345a8e702e1553e5be47f5ffcd21abc2e7e24887bf 230442 libcups2_1.4.4-1_amd64.deb
 129ffb82923c9406229ab9e76d697dcd125eb827b54a65669b7ae9b7c276b7a8 122576 libcupsimage2_1.4.4-1_amd64.deb
 154dfa0b4d12187bb8ae97141d82bd65de2050359a7cc9a0a0dbce3aa4b0a3d3 102494 libcupscgi1_1.4.4-1_amd64.deb
 fb93ea71b1f9e1ad9238cd2de81e79c452d04755f519735500bc2d1a3d77b32a 91436 libcupsdriver1_1.4.4-1_amd64.deb
 f7f4465f7fdc437ee9045ec82e79c64491a8bf6094f94c63c8fbf14dadac40e5 84902 libcupsmime1_1.4.4-1_amd64.deb
 1567e12fc6d1790fda05d7766b156fe1f20b15819bf83190408b57453f852873 129406 libcupsppdc1_1.4.4-1_amd64.deb
 be7999f710072e58bad2a4ded0a6ec4e5f32ef05dbecb29c73cebdf0e9b3d565 2059966 cups_1.4.4-1_amd64.deb
 738acf4cb0a050825ea1ec76356d755976a49881b3dde88733331eecd0ef0822 137728 cups-client_1.4.4-1_amd64.deb
 5cb6f3f0a64fe009b284d1fdfd710f6ad8a8a8d89169d2cb86f2f63c9f4a73bd 291802 libcups2-dev_1.4.4-1_amd64.deb
 98d006cf8a680867c75e33769ed709f18064b231846373b717e318bb550c81f7 61326 libcupsimage2-dev_1.4.4-1_amd64.deb
 97499afd6ad1868f1647a641bb7efe90a8989ae0bcca4b968090edec849070f4 108122 libcupscgi1-dev_1.4.4-1_amd64.deb
 d22cc3e4f6a8f50faf237be53267bba0b6d9c1d1cd58236e297a2ce5001be19a 94632 libcupsdriver1-dev_1.4.4-1_amd64.deb
 2d085dfc8bb49a58fa7d361b2cced7e6284245c5535a29d3cc7323252523fc45 85422 libcupsmime1-dev_1.4.4-1_amd64.deb
 0c5c298de4f47170c263f61e86072a9278191addb10d091254dde0d930e3e897 147586 libcupsppdc1-dev_1.4.4-1_amd64.deb
 ca6102aec94c77714a40392140250fded236ad8fb2c869a7b7d10ff270b34c80 44646 cups-bsd_1.4.4-1_amd64.deb
 c66331e636a78f83e54024ba409a47aeee8359a04d236068fdc8527f671f22fd 103828 cups-ppdc_1.4.4-1_amd64.deb
 e8452e41676fde940cd11e9a6e6c9910b3f1a679b1146605520279bcbb2bb074 94576 cups-dbg_1.4.4-1_amd64.deb
 de80c25ca3f9096503cd48bf309f5a8f 2091 net optional cups_1.4.4-1.dsc
 537d1cf3f1da6e41d7d7402b264ebffc 5384595 net optional cups_1.4.4.orig.tar.gz
 9abb59a23afb382a768fedf2a5894a40 477704 net optional cups_1.4.4-1.diff.gz
 fbd79ae00cfd6c62ac94eff742d1838d 1341338 net optional cups-common_1.4.4-1_all.deb
 38f1681ee705642f25aa4b8ec8f4cd53 74110 oldlibs extra cupsddk_1.4.4-1_all.deb
 929dc7f3eebe0973da2525d34270ee94 230442 libs optional libcups2_1.4.4-1_amd64.deb
 0562e6f5e042134738819b415b6033a2 122576 libs optional libcupsimage2_1.4.4-1_amd64.deb
 4f1c5ec3586dfec83282da266d07222d 102494 libs optional libcupscgi1_1.4.4-1_amd64.deb
 d75a0e2f3e97850f173fe34b8d48b6dd 91436 libs optional libcupsdriver1_1.4.4-1_amd64.deb
 8faa6e1ff9dce8fdaad553b8f63757a4 84902 libs optional libcupsmime1_1.4.4-1_amd64.deb
 fd2f23e0e7f99d5c5484add26b0211a8 129406 libs optional libcupsppdc1_1.4.4-1_amd64.deb
 c6b40611a5d6886d7ccdeb31ab80ad70 2059966 net optional cups_1.4.4-1_amd64.deb
 0259e630c2bbd84c253924733d345a6c 137728 net optional cups-client_1.4.4-1_amd64.deb
 6250b2f4e9c2e6a43060856fd653cc65 291802 libdevel optional libcups2-dev_1.4.4-1_amd64.deb
 73492661accae6db29f619384cc3b0a7 61326 libdevel optional libcupsimage2-dev_1.4.4-1_amd64.deb
 452d2795c7973cf5cd485662b9596674 108122 libdevel optional libcupscgi1-dev_1.4.4-1_amd64.deb
 77aa7bed720bbba2587134af12bc1658 94632 libdevel optional libcupsdriver1-dev_1.4.4-1_amd64.deb
 023fb25e05b2a3fee0c6768a91edf3eb 85422 libdevel optional libcupsmime1-dev_1.4.4-1_amd64.deb
 a0d9c3d633c316ac5e108a830d6d14a6 147586 libdevel optional libcupsppdc1-dev_1.4.4-1_amd64.deb
 dbda0e0ad2a96c3f868aaf81237f95c0 44646 net extra cups-bsd_1.4.4-1_amd64.deb
 18ec92e680a5a3da4a8cbbd562f0e138 103828 net optional cups-ppdc_1.4.4-1_amd64.deb
 80de4f1d1b5dbf40a2b1b52e1964ed4b 94576 debug extra cups-dbg_1.4.4-1_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: